All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_swap Struct Reference
Swap devices interface

## Data Fields

char | name [SA_SWAP_NAME]
| The name of the swap device.
uint64_t | total
| Total amount of swap in this device.
uint64_t | free
| Available amount of swap in this device.
int8_t | type
| The type of swap media. If it's in a device the value is 1. If it's based in a file the value is 2.

## Detailed Description

This structure gathers the details about a swap device. Each value is measured in bytes.

The documentation for this struct was generated from the following file:

- src/common/swap.h